CentOS 8 : nodejs:10 (CESA-2020:0579)

high Nessus Plugin ID 145979
New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it is different from CVSS.

VPR Score: 6.7

Synopsis

The remote CentOS host is missing one or more security updates.

Description

The remote CentOS Linux 8 host has packages installed that are affected by multiple vulnerabilities as referenced in the CESA-2020:0579 advisory.

- nodejs: Remotely trigger an assertion on a TLS server with a malformed certificate string (CVE-2019-15604)

- nodejs: HTTP request smuggling using malformed Transfer-Encoding header (CVE-2019-15605)

- nodejs: HTTP header values do not have trailing optional whitespace trimmed (CVE-2019-15606)

- npm: Symlink reference outside of node_modules folder through the bin field upon installation (CVE-2019-16775)

- npm: Arbitrary file write via constructed entry in the package.json bin field (CVE-2019-16776)

- npm: Global node_modules Binary Overwrite (CVE-2019-16777)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Update the affected packages.

See Also

https://access.redhat.com/errata/RHSA-2020:0579

Plugin Details

Severity: High

ID: 145979

File Name: centos8_RHSA-2020-0579.nasl

Version: 1.4

Type: local

Agent: unix

Published: 2/1/2021

Updated: 3/23/2021

Dependencies: ssh_get_info.nasl

Risk Information

Risk Factor: High

VPR Score: 6.7

CVSS Score Source: CVE-2019-15606

CVSS v2.0

Base Score: 7.5

Temporal Score: 5.5

Vector: AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:centos:centos:8, p-cpe:/a:centos:centos:nodejs, p-cpe:/a:centos:centos:nodejs-devel, p-cpe:/a:centos:centos:nodejs-docs, p-cpe:/a:centos:centos:npm

Required KB Items: Host/local_checks_enabled, Host/CentOS/release, Host/CentOS/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 2/25/2020

Vulnerability Publication Date: 12/13/2019

Reference Information

CVE: CVE-2019-15604, CVE-2019-15605, CVE-2019-15606, CVE-2019-16775, CVE-2019-16776, CVE-2019-16777

RHSA: 2020:0579